Subject: Re: Archiving tags/branches?

From: Pete Harlan <[email-masked]>
Date: Tue, 21 Oct 2008 02:33:48 -0700

Jakub Narebski wrote:
> > (The above notional --ls modifier is probably very easy to write, and if
> > I do so it may address all of my woes.  Subversion's branching/tagging
> > can be organized pretty much exactly like this, and importing into git
> > such a repository is what initially led me to ask about organizing tags
> > and branches.)
>
> Hmmm... it looks like what you are complaining is not the fact that
> tags have flat namespace, but the fact that recursive mode is the
> default behavior (something like "ls -R" or "git ls-tree -r").
>   

Yes, though I hope it didn't sound like I was complaining, just trying 
to understand how people manage these things.  (And "recursive" mode
being the only mode is precisely what flattens the namespace.)

> > What I'm usually likely to want from a "list tags" command is to see the
> > most recent few tags, not (say) all 226 tags in git.git.  I'll probably
> > write a little alias that does that, but even then when looking at the
> > whole list it would be nice to have the option to navigate it
> > hierarchically.  (Or in some other manner, and/or possibly with a
> > configurable directory separator.)
>
> So you would want some '--local' / '--non-recursive' option to listing
> all tags (for git-tag) and branches (for git-branch).
>
>   
Sure, though I hadn't thought of it in those terms.

> As to the "most recent few tags":
>   $ git for-each-ref --format='%(refname)' --sort=-taggerdate --count=10 refs/tags/
>
>   

Well that's pretty slick, thanks :)  I have aliased that to "lt", and
"lb" to:

for-each-ref --format='%(refname:short)'  --sort=-authordate --count=8
refs/heads/

(which seems less useful, but it was useful as homework...)

Thanks again,

--Pete